#include <vector>
#include <algorithm>
#include <iostream>
#include <fstream>

#include <math.h>

#include "cmsc427.hpp"

using namespace std;

CMSC427Win::CMSC427Win(QMainWindow *parent) : QMainWindow(parent) { 
  setupUi(this); 
}

void CMSC427Win::on_action_Open_triggered() {
  QString objFile = QFileDialog::getOpenFileName(this, "Open File", "", "3D Object (*.obj)");
  if(objFile == "") return;

}

// Application start point.
int main(int argc, char *argv[]) {
  // Launch main application.
  QApplication app(argc, argv);

  // Set OpenGL version
  QSurfaceFormat format;
  format.setSamples(8);
  format.setDepthBufferSize(32);
  format.setStencilBufferSize(8);
  format.setVersion(3, 3);
  format.setSwapBehavior(QSurfaceFormat::DoubleBuffer);
  format.setProfile(QSurfaceFormat::CoreProfile);
  QSurfaceFormat::setDefaultFormat(format);
  
  // Show main window
  CMSC427Win main_win; main_win.show();
  return app.exec();
}
